/*
Quincy College Learning Innovation Hub
Last Revised: 2026-08-27
*/

/* Base callout style */
.hub-callout,
[class^="hub-callout-"] {
    --bg: #f7f6e9;
    --text: #213246;
    --border: #337495;
    padding: 1rem;
    border-radius: .3rem;
    background: var(--bg);
    color: var(--text);
    border: 1px solid var(--border);
    margin: 1rem 0;
    width: fit-content;
    max-width: 100%;
}

/* Use less padding if block content exists */
.hub-callout:has(p, h1, h2, h3, h4, h5, h6),
[class^="hub-callout-"]:has(p, h1, h2, h3, h4, h5, h6) {
    padding: 0 1rem;
}

/* Callout variants */
.hub-callout-info {
    --bg: #e8f4fd;
    --border: #2196f3;
}

.hub-callout-warning {
    --bg: #fff4e5;
    --border: #ff9800;
}

.hub-callout-error {
    --bg: #fdecea;
    --border: #f44336;
}
